Cocoon API: Class InterpreterFactory

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cocoon.interpreter
Class InterpreterFactory

    java.lang.Object
      |
      +--org.apache.cocoon.framework.AbstractActor
            |
            +--org.apache.cocoon.framework.Router
                  |
                  +--org.apache.cocoon.interpreter.InterpreterFactory

All Implemented Interfaces:
  Actor, Configurable, Status

public class InterpreterFactory
extends Router

Version:
  $Revision: 1.4 $ $Date: 2000/02/13 18:29:25 $
Author:
  Ricardo Rocha

Fields inherited from class org.apache.cocoon.framework.Router
`defaultType, objects`

Fields inherited from class org.apache.cocoon.framework.AbstractActor
`director`

Constructor Summary
`InterpreterFactory()`

Method Summary
`Interpreter` | `getInterpreter(java.lang.String language)`
`java.lang.String` | `getStatus()` Returns information about the status of the implementing class.

Methods inherited from class org.apache.cocoon.framework.Router
`init`

Methods inherited from class org.apache.cocoon.framework.AbstractActor
`init`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InterpreterFactory

    public InterpreterFactory()

Method Detail

### getInterpreter

    public Interpreter getInterpreter(java.lang.String language)
                               throws LanguageException

### getStatus

    public java.lang.String getStatus()

  Description copied from interface: `Status`
  Returns information about the status of the implementing class. Note: this is use instead of the usual `toString()` method because some of these methods are declared final in some classes in JDK 1.1.
  Overrides:
    `getStatus` in class `Router`

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.